在64位linux系统无法启动avd及SD Card报错的问题

64位的linux下使用AVD启动android模拟器会报错,centOS会提示bad ELF interpreter而ubuntu只会提示NoSuchFile

这是由于从google下载的android虽然是x86_64的sdk包,但里边实际上是含有32位的程序的(或者说是对32位的相关包有依赖),所以需要安装32位的lib

对于ubuntu

sudo apt-get install ia32-libs lib32ncurses5 lib32stdc++6

对于centOS

yum install glibc.i686
yum install libstdc++.so.6

安装完毕后即可。

发表评论

您的电子邮箱地址不会被公开。 必填项已用*标注